<?xml version="1.0" encoding="utf-8" standalone="yes"?>
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xbrldt="http://xbrl.org/2005/xbrldt" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedPeriodStartLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedPeriodStartLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/netLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/net-2009-12-16.xsd#netLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedNetLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedNetLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedTerseLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedTerseLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedPeriodEndLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedPeriodEndLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedTotalLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedTotalLabel"/>
  <link:labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended">
    <link:loc xlink:href="894500Z1T8KCF7NNNX52-2025-12-31.xsd#besatur_LongTermLoans" xlink:label="LongTermLoans" xlink:title="LongTermLoans" xlink:type="locator" />
    <link:label id="label_LongTermLoansLabel_74850" xlink:label="label_LongTermLoansLabel_74850" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_LongTermLoansLabel_74850" xml:lang="bg" xlink:type="resource">Дългосрочни заеми</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="LongTermLoans" xlink:title="label: from LongTermLoans to label_LongTermLoansLabel_74850" xlink:to="label_LongTermLoansLabel_74850" xlink:type="arc" />
    <link:loc xlink:href="894500Z1T8KCF7NNNX52-2025-12-31.xsd#besatur_ShortTermBorrowings" xlink:label="ShortTermBorrowings" xlink:title="ShortTermBorrowings" xlink:type="locator" />
    <link:label id="label_ShortTermBorrowingsLabel_85695" xlink:label="label_ShortTermBorrowingsLabel_85695" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_ShortTermBorrowingsLabel_85695" xml:lang="bg" xlink:type="resource">Краткосрочни заеми</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ShortTermBorrowings" xlink:title="label: from ShortTermBorrowings to label_ShortTermBorrowingsLabel_85695" xlink:to="label_ShortTermBorrowingsLabel_85695" xlink:type="arc" />
    <link:loc xlink:href="894500Z1T8KCF7NNNX52-2025-12-31.xsd#besatur_SalesRevenue" xlink:label="SalesRevenue" xlink:title="SalesRevenue" xlink:type="locator" />
    <link:label id="label_SalesRevenueLabel_67500" xlink:label="label_SalesRevenueLabel_67500" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_SalesRevenueLabel_67500" xml:lang="bg" xlink:type="resource">Приходи от продажби</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="SalesRevenue" xlink:title="label: from SalesRevenue to label_SalesRevenueLabel_67500" xlink:to="label_SalesRevenueLabel_67500" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_FinanceIncomeCost" xlink:label="FinanceIncomeCost" xlink:title="FinanceIncomeCost" xlink:type="locator" />
    <link:label id="label_FinanceIncomeCostTotallabel_20685" xlink:label="label_FinanceIncomeCostTotallabel_20685" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:title="label_FinanceIncomeCostTotallabel_20685" xml:lang="bg" xlink:type="resource">Финансови приходи (разходи)</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="FinanceIncomeCost" xlink:title="label: from FinanceIncomeCost to label_FinanceIncomeCostTotallabel_20685" xlink:to="label_FinanceIncomeCostTotallabel_20685" xlink:type="arc" />
  </link:labelLink>
</link:linkbase>